Bug 824994 - can't restrict new mail notifications to Inbox folder
can't restrict new mail notifications to Inbox folder
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: claws-mail-plugins (Show other bugs)
16
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Andreas Bierfert
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-24 15:02 EDT by Aram Agajanian
Modified: 2013-02-13 19:54 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 19:53:59 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Aram Agajanian 2012-05-24 15:02:12 EDT
Description of problem:
I can't get new mail notifications only from my Inbox folder.

Version-Release number of selected component (if applicable):
claws-mail-plugins-notification-3.8.0-1.fc16.x86_64

How reproducible:
happens every time

Steps to Reproduce:
1.  Enable Notification plugin.
2.  Configure Notification plugin in Preferences to Popup for Inbox only
or
2.  Configure Notification plugin in Preferences to Enable Trayicon and Only include selected folders.
  
Actual results:
Either I get notifications of incoming mail from all folders or no notifications at all.  What happens depends on if I enable the "Mail folders" checkbox under Preferences->Plugins->Notification->Include folder types.

Expected results:
I would like to see notifications for mail coming into my Inbox.

Additional info:
=I am using Gnome Shell.
=My mail folders are accessed via IMAP.
=I use procmail to filter the mail into mail folders.
Comment 1 Michael Schwendt 2012-06-06 09:17:16 EDT
FWIW, I'm unable to reproduce anything like that (with F-17 however). I also use a combination of IMAP, local folders and procmail. But both the popup notifications and the trayicon (which I don't use usually) work for me.
Comment 2 Aram Agajanian 2012-08-06 16:18:07 EDT
Yes, notifications seem to be working fine with Fedora 17.  I only get notifications for messages in the INBOX folder.
Comment 3 Michael Schwendt 2012-08-07 04:41:26 EDT
So, does that mean you've replaced you Fedora 16, or is the problem reproducible with Claws Mail 3.8.1 for F16:
https://admin.fedoraproject.org/updates/FEDORA-2012-10349
Comment 4 Fedora End Of Life 2013-01-16 17:21:21 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Fedora End Of Life 2013-02-13 19:54:03 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.